# Uses of Class
org.eclipse.swt.widgets.Combo

Packages that use Combo
Package
Description
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ui.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.

## Uses of Combo in org.eclipse.jface.contentassist

Constructors in org.eclipse.jface.contentassist with parameters of type Combo
Modifier
Constructor
Description
``
`ComboContentAssistSubjectAdapter(Combo combo)`
Deprecated.
Creates a content assist subject control adapter for the given combo.

## Uses of Combo in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type Combo
Modifier and Type
Method
Description
`static void`
BidiUtils.`applyBidiProcessing(Combo combo, String handlingType)`
Applies bidi processing to the given combo.

## Uses of Combo in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Combo
Modifier and Type
Method
Description
`Combo`
ComboViewer.`getCombo()`
Returns this list viewer's list control.
Constructors in org.eclipse.jface.viewers with parameters of type Combo
Modifier
Constructor
Description
``
`ComboViewer(Combo list)`
Creates a combo viewer on the given combo control.

## Uses of Combo in org.eclipse.ui.contentassist

Methods in org.eclipse.ui.contentassist with parameters of type Combo
Modifier and Type
Method
Description
`static ContentAssistHandler`
ContentAssistHandler.`createHandlerForCombo(Combo combo, SubjectControlContentAssistant contentAssistant)`
Deprecated.
Creates a new `ContentAssistHandler` for the given `Combo`.